package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by Reece on 2017/3/8.
 */
@Entity
@Table(name = "wlyy_survey_templates")
public class SurveyTemplates extends IdEntity implements Serializable{

//    模板编码
    private String code;
//    模板标题
    private  String title;
//    模板说明
    private String templateComment;
//    创建人(医生编码)
    private String creater;
//    删除标志（1正常，0删除）
    private int del;
//创建时间
    private Date createTime;
//修改时间
    private  Date updateTime;

    public SurveyTemplates() {
    }

    public SurveyTemplates(String code, String title, String templateComment, String creater, int del, Date createTime, Date updateTime) {
        this.code = code;
        this.title = title;
        this.templateComment = templateComment;
        this.creater = creater;
        this.del = del;
        this.createTime = createTime;
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTemplateComment() {
        return templateComment;
    }

    public void setTemplateComment(String templateComment) {
        this.templateComment = templateComment;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public int getDel() {
        return del;
    }

    public void setDel(int del) {
        this.del = del;
    }
}
